package routers

import (
	"github.com/gin-gonic/gin"
	"intent-system/pkg/api"
)

const (
	GroupRouterCommonV1 = "/api/v1/common"
)

const (
	RouterSubPathCustomerSendAuthCode = "/auth-code"
)

func InitRouterGroupCommon(r *gin.Engine, handlers api.CommonApi) {
	g := r.Group(GroupRouterCommonV1)
	g.POST(RouterSubPathCustomerSendAuthCode, handlers.SendAuthCode) //do not need JWT authentication
}
